Subject: bug#60556: 29.0.60; Fatal error accurred when editing init.el with flymake enabled on Windows 10

From: Eason Huang <[email-masked]>
Date: Sun, 22 Jan 2023 12:30:36 +0800

Eason Huang <[email-masked]> writes:

> Hi emacs,
>
> When I editing my ~/.config/emacs/init.el file, Emacs will raise a fatal
> error frequenly when flymake-mode enabled.
>
> With a few hours debug, I found that it's related to flymake-mode and
> Borg( A package manager writed by Jonas Bernoulli).
>
> Borg repos: https://github.com/emacscollective/borg
>
>
> This issue can be fixed by disable flymake-mode or without Borg, just
> use package.el to install packages.
>
> It would be nice if I can use Borg with flymake-mode. I am not sure this
> bug if from Borg or flymake-mode or Emacs itself, so I report it here.
>

I also reported an issue to Borg. See more infomation by the link bellow:
https://github.com/emacscollective/borg/issues/140

I guess the issue is cause by the implementation of UI displaying on
MS-Windows.

JoJoão and Eli, do you have any advice on how to debug with this issue?

Thanks in advance.

-- 
Eason Huang